
#ifndef PRIMARY_PREVIEW_H
#define PRIMARY_PREVIEW_H
gint
rfm_entry_is_image (record_entry_t *en);
gint
rfm_path_is_image(const gchar *path);
GdkPixbuf *
rfm_create_preview (const gchar * file, gint size);

void *
rfm_cleanup_thumbnails(void *data);

gchar * 
rfm_content_icon_id_f (view_t *view_p, const gchar *path);

gint 
rfm_get_preview_image_size(void);

#endif
